org.apache.tools.ant.taskdefs.optional.perforce

## Interface P4Handler

All Superinterfaces:
  ExecuteStreamHandler

All Known Implementing Classes:
  P4HandlerAdapter, P4Submit.P4SubmitAdapter, SimpleP4OutputHandler

    public interface P4Handler
    extends ExecuteStreamHandler

Interface for p4 job output stream handler. Classes implementing this interface can be called back by P4Base.execP4Command();

### Method Summary

Methods
`void` `process(java.lang.String line)` processing of one line of stdout or of stderr
`void` `setOutput(java.lang.String line)` set any data to be written to P4's stdin

### Methods inherited from interface org.apache.tools.ant.taskdefs.ExecuteStreamHandler

`setProcessErrorStream, setProcessInputStream, setProcessOutputStream, start, stop`

### Method Detail

#### process

    void process(java.lang.String line)
                 throws BuildException

processing of one line of stdout or of stderr

Parameters:
  `line` - a line of stdout or stderr that the implementation will process
Throws:
  `BuildException` - at the discretion of the implementation.

#### setOutput

    void setOutput(java.lang.String line)
                   throws BuildException

set any data to be written to P4's stdin

Parameters:
  `line` - the text to write to P4's stdin
Throws:
  `BuildException` - if the line cannot be processed.